INTERFACE
SUBROUTINE ACTSECAD ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & PAPHI5,PAPHIF5,PAPRS5,PAPRSF5,PQ5,PT5,PU5,PV5,&
 & PAPHI,PAPHIF,PAPRS,PAPRSF,PQ,PT,PU,PV,&
 & PQS,PTS,PGZ0,&
 & PKTROV5,PKUROV5,PXTROV5,PXUROV5,&
 & PKTROV,PKUROV,PXTROV,PXUROV,&
 & PCDROV5,PCHROV5,PXDROV5,PXHROV5,&
 & PCDROV,PCHROV,PXDROV,PXHROV,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI5(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS5(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPHI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKTROV5(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKUROV5(KLON,0:KLEV)
REAL(KIND=JPRB) :: PXTROV5(KLON,0:KLEV)
REAL(KIND=JPRB) :: PXUROV5(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PKTROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PKUROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXTROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXUROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCDROV5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCHROV5(KLON)
REAL(KIND=JPRB) :: PXDROV5(KLON)
REAL(KIND=JPRB) :: PXHROV5(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCDROV(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCHROV(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXDROV(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXHROV(KLON)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACTSECAD
END INTERFACE
